Pular para o conteúdo principal
POST
/
v1
/
exceptions
/
{exceptionId}
/
resolve
Resolver uma exceção
curl --request POST \
  --url https://matcher.sandbox.lerian.net/v1/exceptions/{exceptionId}/resolve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "resolution": "<string>",
  "reason": "<string>"
}
'
{
  "assignedTo": "user@example.com",
  "createdAt": "2025-01-15T10:30:00.000Z",
  "dueAt": "2025-01-20T10:30:00.000Z",
  "externalIssueId": "RECON-1234",
  "externalSystem": "JIRA",
  "id": "019c96a0-10d2-7134-ba5f-664142ee7052",
  "reason": "Amount mismatch detected",
  "resolutionNotes": "Resolved via force match",
  "resolutionReason": "BUSINESS_DECISION",
  "resolutionType": "FORCE_MATCH",
  "severity": "HIGH",
  "status": "OPEN",
  "transactionId": "019c96a0-10ce-75fc-a273-dc799079a99c",
  "updatedAt": "2025-01-15T10:30:00.000Z"
}

Autorizações

Authorization
string
header
obrigatório

Autenticação por Bearer token (formato: "Bearer {token}")

Parâmetros de caminho

exceptionId
string<uuid>
obrigatório

Exception ID (UUID) ID da exceção (UUID)

Exemplo:

"550e8400-e29b-41d4-a716-446655440000"

Corpo

application/json
resolution
string
obrigatório

Tipo de resolução aplicado

Required string length: 1 - 255
Exemplo:

"ACCEPTED"

reason
string

Motivo opcional para a resolução

Maximum string length: 1000
Exemplo:

"Variance within tolerance"

Resposta

OK

Detalhes da exceção

assignedTo
string

Usuário ao qual a exceção está atribuída

Exemplo:

"user@example.com"

createdAt
string

Timestamp de criação no formato RFC3339

Exemplo:

"2025-01-15T10:30:00.000Z"

dueAt
string

Prazo para resolução no formato RFC3339

Exemplo:

"2025-01-20T10:30:00.000Z"

externalIssueId
string

ID do problema externo no sistema externo

Exemplo:

"RECON-1234"

externalSystem
string

Sistema externo para o qual a exceção foi despachada

Exemplo:

"JIRA"

id
string

Identificador único da exceção

Exemplo:

"019c96a0-10d2-7134-ba5f-664142ee7052"

reason
string

Motivo pelo qual a exceção foi levantada

Exemplo:

"Amount mismatch detected"

resolutionNotes
string

Notas de resolução quando resolvida

Exemplo:

"Resolved via force match"

resolutionReason
string

Motivo da resolução

Exemplo:

"BUSINESS_DECISION"

resolutionType
enum<string>

Tipo de resolução aplicada

Opções disponíveis:
FORCE_MATCH,
ADJUST_ENTRY
Exemplo:

"FORCE_MATCH"

severity
enum<string>

Nível de severidade

Opções disponíveis:
LOW,
MEDIUM,
HIGH,
CRITICAL
Exemplo:

"HIGH"

status
enum<string>

Status atual

Opções disponíveis:
OPEN,
ASSIGNED,
PENDING_RESOLUTION,
RESOLVED
Exemplo:

"OPEN"

transactionId
string

ID da transação à qual esta exceção se refere

Exemplo:

"019c96a0-10ce-75fc-a273-dc799079a99c"

updatedAt
string

Timestamp da última atualização no formato RFC3339

Exemplo:

"2025-01-15T10:30:00.000Z"